//============================================================================
// Hierarchical state machine manager
//
// Hcmd.H : Exemple of a state machine definition (keyboard manager exemple)
//
// (c) Robert Lacoste 2013, 
// Based on ideas from Miro Samek's book "Practival UML statecharts in C/C++)"
//
// Use this software freely, but provided without any warranty or support
//============================================================================

#include "HSM.h"

// Number of this specific HSM, should be unique
#define HSM_ID_Hcmd 1


// Application-specific signals
typedef enum 
{
	Hcmd_GIVE_SOME
} Hcmd_SIGNALS;

// Prototype declarations of the initialisation and state handlers
void HcmdInit(void);
void HcmdState_AwaitingDistribution(const HSM_T_SIGNAL Signal);
void HcmdState_Distributing(const HSM_T_SIGNAL Signal);

// END OF FILE

