//============================================================================
// Hierarchical state machine manager
//
// Timer.h : generic timer routines
//
// (c) Robert Lacoste 2013, 
//
// Use this software freely, but provided without any warranty or support
//============================================================================

#include "Lowlevel.h"
#include "HSM.h"

#ifndef TIMER_H
#define TIMER_H

// System wide constants
#define TIMER_COUNT 5
#define TIMER_VAL_1S 1000L

#define TIMER_SIGNALIDSTART (HSM_MAX_SIGNAL_PER_HSM+10)

typedef enum {TIMER_T1=0, TIMER_T2, TIMER_T3, TIMER_T4, TIMER_T5} T_ID_TIMER;
typedef enum {TIMER_TIMEOUT_T1=TIMER_SIGNALIDSTART, TIMER_TIMEOUT_T2, TIMER_TIMEOUT_T3, 
			  TIMER_TIMEOUT_T4, TIMER_TIMEOUT_T5} T_ID_SIGNALTIMER;

// Prototypes			  
void TimerInit(void);
BOOL TimerTick1s(void);
void TimerArm(T_ID_TIMER tid, HSM_T_HSMID hsm_id, unsigned long val_ms);
void TimerStop(T_ID_TIMER tid);
BOOL TimerIsEnded(T_ID_TIMER);

#endif

// END OF FILE

